Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.overlay
Class PolygonBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.PolygonBuilder

    public class PolygonBuilder

extends java.lang.Object

Forms `Polygon`s out of a graph of `DirectedEdge`s. The edges to use are marked as being in the result Area.

Version:
  1.7

Constructor Summary
`PolygonBuilder(GeometryFactory geometryFactory)`

Method Summary
`void` | `add(java.util.Collection dirEdges, java.util.Collection nodes)` Add a set of edges and nodes, which form a graph.
`void` | `add(PlanarGraph graph)` Add a complete graph.
`boolean` | `containsPoint(Coordinate p)` Checks the current set of shells (with their associated holes) to see if any of them contain the point.
`java.util.List` | `getPolygons()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolygonBuilder

    public PolygonBuilder(GeometryFactory geometryFactory)

Method Detail

### add

    public void add(PlanarGraph graph)

  Add a complete graph. The graph is assumed to contain one or more polygons, possibly with holes.

### add

    public void add(java.util.Collection dirEdges,
                    java.util.Collection nodes)

  Add a set of edges and nodes, which form a graph. The graph is assumed to contain one or more polygons, possibly with holes.

### getPolygons

    public java.util.List getPolygons()

### containsPoint

    public boolean containsPoint(Coordinate p)

  Checks the current set of shells (with their associated holes) to see if any of them contain the point.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD